Retrieve details of account with specified id

GET https://{controlplane_path}/api/1/rest/public/catalog/{eng_org}/accounts/{account_id}    
            
Retrieve details of accounts with specified id from the environment/Org.

Prerequisites

  • Environment (Org) admin permissions

Path parameters

Parameter Description Required
controlplane_path The path to the SnapLogic control plane: elastic.snaplogic.com
For the UAT or EMEA control plane, substitute the name for elastic. For example:
  • uat.elastic.snaplogic.com
  • emea.snaplogic.com
Yes
env_org The name of the SnapLogic Environment/Org. Yes
account_id The id for the speciifed account. Yes

Query parameters

None

Request header

Basic authentication

To use basic authentication, specify Basic for authorization in the request header, add your credentials (email and password for your SnapLogic user or service account), and specify application/json for content type. For example:


Authorization: Basic {base64_encoded <email>:<password>}
Content-Type: application/json
          

Example of basic authentication using Postman:

Learn more about the basic authentication header in REST API requests.

JWT authentication

When using JWT authentication, the API request includes specific headers. In the request header, specify Bearer Token for authorization, add the token, and specify application/json for content type. These headers are automatically added when you configure bearer token authentication in your API client. The authorization header contains the word Bearer followed by a space and your JWT.


Authorization: Bearer Token {token}
Content-Type: application/json
          

Example of JWT authentication using Postman:

Response

A successful response includes a Code 200 OK where:
  • list: The details of the account.
  • content: The JSON object contains details of the account in the Environment/Org.
 {
   "id": "",
   "name": "",
   "class_label": "",
   "path": "",
   "created_at": "",
   "updated_at": "",
   "created_by": "",
   "updated_by": "",
   "type": null,
   "org_name": "",
   "org_snode_id": "",
   "pipelines_count": 0,
   "details": null
}

Example

Assuming a request to retrieve account details with the account id d084703b-d531-4d31-b838-b30515c2aebb_2 in the development environment "https://elastic.snaplogicdev.com/api/1/rest/public/catalog/DEV/accounts/d084703b-d531-4d31-b838-b30515c2aebb_2"

    {
      "id": "d084703b-d531-4d31-b838-b30515c2aebb_2",
      "name": "TestDuplicatesAccount",
      "class_label": "Amazon Account",
      "path": "/DEV/projects/shared/TestDuplicatesAccount",
      "created_at": "2025-06-06T16:21:17.505Z",
      "updated_at": "2025-06-06T16:21:17.505Z",
      "created_by": "[email protected]",
      "updated_by": "[email protected]",
      "type": null,
      "org_name": "DEV",
      "org_snode_id": "654d4f8c720d95e24e9b8e95",
      "pipelines_count": 0,
      "details": null
  }